GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.InvalidShipmentUnitFault Class Reference

## Public Member Functions
ShipmentUnit | getShipmentUnit ()
void | setShipmentUnit (ShipmentUnit value)

## Protected Attributes
ShipmentUnit | shipmentUnit

## Detailed Description

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="shipmentUnit" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ShipmentUnit"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 35 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/InvalidShipmentUnitFault.java.

## Member Function Documentation

## ◆ getShipmentUnit()

ShipmentUnit eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.InvalidShipmentUnitFault.getShipmentUnit | ( |  | ) |

Gets the value of the shipmentUnit property.

Returns
  possible object is ShipmentUnit

Definition at line 48 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/InvalidShipmentUnitFault.java.

## ◆ setShipmentUnit()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.InvalidShipmentUnitFault.setShipmentUnit | ( | ShipmentUnit | value | ) |

Sets the value of the shipmentUnit property.

Parameters

  value | allowed object is ShipmentUnit

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/InvalidShipmentUnitFault.java.

## Member Data Documentation

## ◆ shipmentUnit

ShipmentUnit eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.InvalidShipmentUnitFault.shipmentUnit
| protected

Definition at line 38 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/InvalidShipmentUnitFault.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/InvalidShipmentUnitFault.java